import * as React from "react";
import { BillingOptions } from "@types";
interface Props {
    stripeAccount: string;
    children?: React.ReactNode;
    options?: BillingOptions;
    liveMode?: boolean;
    onCustomerSignedOut?: () => void;
    onCustomerSignedIn?: () => void;
    getEmailHmac?: () => void;
    onError?: (error: Error) => void;
}
declare const _default: ({ stripeAccount, options, onError, onCustomerSignedIn, getEmailHmac, onCustomerSignedOut, liveMode, children }: Props) => JSX.Element;
export default _default;
