declare function _exports(env?: {}): {
    mode: string;
    entry: string;
    output: {
        path: string;
        publicPath: string;
        umdNamedDefine: boolean;
        filename: string;
        library: string;
        libraryTarget: string;
    };
    externals: {
        react: {
            commonjs: string;
            commonjs2: string;
            amd: string;
            root: string;
        };
        "react-dom": {
            commonjs: string;
            commonjs2: string;
            amd: string;
            root: string;
        };
    };
    target: string;
    devtool: string | undefined;
    resolve: {
        extensions: string[];
        plugins: any[];
    };
    optimization: {
        sideEffects: boolean;
        minimize: boolean;
        minimizer: any[];
    };
    module: {
        rules: ({
            test: RegExp;
            loader: string;
            exclude: RegExp;
            use?: undefined;
        } | {
            test: RegExp;
            use: any[];
            loader?: undefined;
            exclude?: undefined;
        })[];
    };
    plugins: any[];
};
export = _exports;
